# Alternatives to templates

In many cases, the Overleaf Gallery isn’t the easiest or most appropriate mechanism for sharing your templates and examples. We’ve put together the following suggestions based on certain types of projects we often see submitted to the Gallery.

## Copying a project via a shared link

This is recommended for homework assignments, letter templates, report templates, and personal templates.

If you are looking to provide a simple LaTeX document as an activity sheet for your students, or to distribute homework/assignment problems for your class, you can switch on link sharing and share the read-only link with your students for them to copy the project.

You can find more information on these two steps (sharing and copying) in the following help articles:

{% columns %}
{% column %}
{% content-ref url="/pages/1dKw6Xecary3htw3O397" %}
[Sharing a project](/collaborating/sharing-a-project.md)
{% endcontent-ref %}
{% endcolumn %}

{% column %}
{% content-ref url="/pages/GM7bq2dGQbO86medzdnN" %}
[Copying a project](/managing-projects-and-files/copying-a-project.md)
{% endcontent-ref %}
{% endcolumn %}
{% endcolumns %}

{% hint style="warning" %}
Any changes made to the project are immediately visible to those who have access to the project via the read-only link.
{% endhint %}

For a personal template or a template with just a few intended users, you can keep link-sharing switched off and [share it directly](/collaborating/sharing-a-project.md#inviting-collaborators-via-email) with those who should have access, as Viewers.

{% hint style="success" %}
You can [create a tag on your project dashboard](/managing-projects-and-files/organizing-projects-with-tags.md) for templates, to distinguish them from other projects.
{% endhint %}

{% hint style="success" %}
Within the project, you can [label the version](https://docs.overleaf.com/writing-and-editing/history-and-versioning#labeling-a-project-version) shared with students or your audience, making it easier to find it when you need it.
{% endhint %}

## The Overleaf API

You can start a new Overleaf project with specific content using our API. This is especially helpful for **unofficial thesis templates** or **other templates** you find outside the Overleaf Gallery, particularly if they're available as a ZIP file or a collection of individual files with a permanent URL. You can find the full API documentation at <https://www.overleaf.com/devs>.

Here are some examples using GitHub’s `raw.githubusercontent.com`:

* using the entire contents of a GitHub repo via the downloadable .zip: <https://github.com/liantze/pocketmod.sty/wiki>
* using selected files from a GitHub repo: <https://github.com/liantze/beamerthemeMirage/wiki>

## Other submission types

### Completed homework assignments

If you’re a student and are looking to submit your homework or assignment, please be aware that **submitting to the Overleaf Gallery won't submit homework to your course**. Please check the course guidelines and instructions, or contact your instructor if you’re unsure how or where to submit your homework.

### Preprints or other completed works

We don’t accept preprints or other completed works to the Overleaf Gallery. If you wish to publish a completed work from Overleaf, we recommend using an appropriate third-party destination for your work. In the case of preprints or other research outputs, this could be one of the many preprint servers that now support different disciplines (such as the [arXiv](https://arxiv.org/) or [bioRxiv](https://www.biorxiv.org/)), or alternatively via a more general publishing platform such as [Figshare](https://figshare.com/).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overleaf.com/templates/submitting-to-the-overleaf-template-gallery/alternatives-to-templates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
